

#define SPI_WriteB			PORTB
#define SPI_WriteA			PORTA	
#define SPI_Direction_REGB	DDRB	
#define SPI_Direction_REGA	DDRA	
#define SPI_DI				3		//SDCARD  
#define SPI_DO				2		//SDCARD und DISPLAY
#define SPI_Clock			1		//SDCARD und DISPLAY
#define MMC_Chip_Select		1		//SDCARD CS
#define SPI_SS				0		//Nicht Benutz mu aber definiert werden
#define DISPL_Chip_Select	5		//DISPLAY CS
#define DISPL_RESET			6		//DISPLAY RESET

//Prototypes


//set MMC_Chip_Select to high (MMC/SD-Karte Inaktiv)
#define MMC_Disable() SPI_WriteA|= (1<<MMC_Chip_Select);

//set MMC_Chip_Select to low (MMC/SD-Karte Aktiv)
#define MMC_Enable() SPI_WriteA&=~(1<<MMC_Chip_Select);

#define nop()  __asm__ __volatile__ ("nop" ::)
void spi_init();

